X
Tap here to go to the mobile version of the site.

Support Forum

Today I suddenly couldn't play YouTube videos. Upgrading to 47 has not helped.

Posted

I was able to load and watch YouTube videos yesterday. This evening, having touched nothing, suddenly ANY video I try to load is just black, no controls available, no error messages, no sound. Just a black rectangle. The rest of the site behaves normally. I tried upgrading to 47 and this did nothing. I also tried installing the YouTube Flash Player add-on (which seemed like a dubious approach anyway) and this did nothing.

The only error messages I see in the console are "SyntaxError: missing ) in parenthetical" and "TypeError: g.p(...) is not a function."

Any ideas? Nothing I search for on Google yields useful results from any time recently. I don't want to use Safari or Chrome just to watch YouTube. Thanks in advance.

I was able to load and watch YouTube videos yesterday. This evening, having touched nothing, suddenly ANY video I try to load is just black, no controls available, no error messages, no sound. Just a black rectangle. The rest of the site behaves normally. I tried upgrading to 47 and this did nothing. I also tried installing the YouTube Flash Player add-on (which seemed like a dubious approach anyway) and this did nothing. The only error messages I see in the console are "SyntaxError: missing ) in parenthetical" and "TypeError: g.p(...) is not a function." Any ideas? Nothing I search for on Google yields useful results from any time recently. I don't want to use Safari or Chrome just to watch YouTube. Thanks in advance.
Attached screenshots

Additional System Details

Installed Plug-ins

  • Version 5.41.0.0
  • Version 5.41.3.0
  • Displays Java applet content, or a placeholder if Java is not installed.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 21.0 r0
  • 5.1.20513.0

Application

  • Firefox 47.0
  • User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:47.0) Gecko/20100101 Firefox/47.0
  • Support URL: https://support.mozilla.org/1/firefox/47.0/Darwin/en-US/

Extensions

  • ADB Helper 0.8.7 (adbhelper@mozilla.org)
  • Adblock Plus 2.7.3 ({d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d})
  • EyeWire Scouts' Log 0.2.5 (@scoutslog)
  • Firefox Hello 1.3.2 (loop@mozilla.org)
  • Multi-process staged rollout 1.0 (e10srollout@mozilla.org)
  • Pocket 1.0.2 (firefox@getpocket.com)
  • tumblr-savior 0.4.27 (jid1-W5guVoyeUR0uBg@jetpack)
  • Valence 0.3.5 (fxdevtools-adapters@mozilla.org)
  • Collusion 0.15 (jid1-F9UJ2thwoAm5gQ@jetpack) (Inactive)
  • F.B. Purity - Cleans Up Facebook 9.9.1 (fbp@fbpurity.com) (Inactive)
  • LJlogin 2.2.1 ({ad4ee9e5-49c7-4589-acf3-db9fa76a95c9}) (Inactive)
  • PDF Viewer 1.0.277.1-signed.1-signed (uriloader@pdf.js) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription:
  • adapterDeviceID: 0x0166
  • adapterDrivers:
  • adapterRAM:
  • adapterVendorID: 0x8086
  • driverDate:
  • driverVersion:
  • info: {u'AzureCanvasAccelerated': 1, u'AzureCanvasBackend': u'skia', u'AzureFallbackCanvasBackend': u'none', u'AzureContentBackend': u'quartz'}
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • supportsHardwareH264: No
  • webglRenderer: Intel Inc. -- Intel HD Graphics 4000 OpenGL Engine
  • windowLayerManagerRemote: True
  • windowLayerManagerType: OpenGL

Modified Preferences

Misc

  • User JS: No
  • Accessibility: No
FredMcD
  • Top 10 Contributor
4260 solutions 59646 answers

Youtube currently uses the HTML5 player.

flash:Video

https://support.mozilla.org/en-US/kb/fix-common-audio-and-video-issues?redirectlocale=en-US&redirectslug=Video+or+audio+does+not+play

https://support.mozilla.org/en-US/kb/fix-common-audio-and-video-issues


Separate Issue; Your System Details shows;

Installed Plug-ins

Version 5.41.0.0 Version 5.41.3.0
Having more than one version of a program may cause issues. You must remove the older programs. Then get the current full installer.

Youtube currently uses the HTML5 player. :flash:Video https://support.mozilla.org/en-US/kb/fix-common-audio-and-video-issues?redirectlocale=en-US&redirectslug=Video+or+audio+does+not+play https://support.mozilla.org/en-US/kb/fix-common-audio-and-video-issues ------------ Separate Issue; Your System Details shows; Installed Plug-ins Version 5.41.0.0 Version 5.41.3.0 <br>Having more than one version of a program may cause issues. You must remove the older programs. Then get the current full installer.

Question owner

FredMcD said

Youtube currently uses the HTML5 player.
flash:Video
https://support.mozilla.org/en-US/kb/fix-common-audio-and-video-issues?redirectlocale=en-US&redirectslug=Video+or+audio+does+not+play https://support.mozilla.org/en-US/kb/fix-common-audio-and-video-issues

Separate Issue; Your System Details shows;

Installed Plug-ins

Version 5.41.0.0 Version 5.41.3.0
Having more than one version of a program may cause issues. You must remove the older programs. Then get the current full installer.

Sorry, I am confused by this reply. Those first links tell me to make sure I have the right plugin, but I am receiving no information on my end about what plugin is missing for HTML5.

Also, if you saying I need to remove the plugins that have those version numbers, they are Google Talk Plugin and Google Talk Plugin Video Renderer; I don't understand how those are relevant, nor do I know how to remove them.

''FredMcD [[#answer-887904|said]]'' <blockquote> Youtube currently uses the HTML5 player. :flash:Video https://support.mozilla.org/en-US/kb/fix-common-audio-and-video-issues?redirectlocale=en-US&redirectslug=Video+or+audio+does+not+play https://support.mozilla.org/en-US/kb/fix-common-audio-and-video-issues ------------ Separate Issue; Your System Details shows; Installed Plug-ins Version 5.41.0.0 Version 5.41.3.0 <br>Having more than one version of a program may cause issues. You must remove the older programs. Then get the current full installer. </blockquote> Sorry, I am confused by this reply. Those first links tell me to make sure I have the right plugin, but I am receiving no information on my end about what plugin is missing for HTML5. Also, if you saying I need to remove the plugins that have those version numbers, they are Google Talk Plugin and Google Talk Plugin Video Renderer; I don't understand how those are relevant, nor do I know how to remove them.
FredMcD
  • Top 10 Contributor
4260 solutions 59646 answers

DLJX said

I don't understand how those are relevant

FredMcD said

Separate Issue;
Version 5.41.0.0
Version 5.41.3.0

These looked like the same program.

Those first links tell me to make sure I have the right plugin

OpenH264 Video Codec provided by Cisco Systems, Inc.

Type about:addons<enter> in the address bar to open the Add-ons Manager. Hot key; <Control>(Mac=<Command>) <Shift> A)

On the left side of the page, select Plugins. Make sure the ones you want to use are set to Ask or Allow.

''DLJX [[#answer-887908|said]]'' <blockquote> I don't understand how those are relevant </blockquote> ''FredMcD [[#answer-887904|said]]'' <blockquote> Separate Issue;<br> Version 5.41.0.0<br> Version 5.41.3.0<br> </blockquote> These looked like the same program. <blockquote> Those first links tell me to make sure I have the right plugin </blockquote> OpenH264 Video Codec provided by Cisco Systems, Inc. Type '''about:addons'''<enter> in the address bar to open the '''Add-ons Manager.''' Hot key; '''<Control>''(Mac=<Command>)'' <Shift> A)''' On the left side of the page, select '''Plugins.''' Make sure the ones you want to use are set to '''Ask''' or '''Allow.'''